FIX: Fix deprecation by adding `pluginId` (#81)

FIX: Fix deprecation by adding pluginId (#81)

diff --git a/assets/javascripts/discourse/initializers/init-code-review.js.es6 b/assets/javascripts/discourse/initializers/init-code-review.js.es6
index 69183b5..729de12 100644
--- a/assets/javascripts/discourse/initializers/init-code-review.js.es6
+++ b/assets/javascripts/discourse/initializers/init-code-review.js.es6
@@ -5,6 +5,8 @@ import DiscourseURL from "discourse/lib/url";
 import { findAll } from "discourse/models/login-method";
 import { computed } from "@ember/object";
 
+const PLUGIN_ID = "discourse-code-review";
+
 async function actOnCommit(topic, action) {
   try {
     let result = await ajax(`/code-review/${action}.json`, {
@@ -34,6 +36,8 @@ function initialize(api) {
   // note there are slightly cleaner ways of doing this but we would need
   // to amend core for the plugin which is not feeling right
   api.modifyClass("controller:preferences/account", {
+    pluginId: PLUGIN_ID,
+
     canUpdateAssociatedAccounts: computed("authProviders", function () {
       return (
         findAll(this.siteSettings, this.capabilities, this.site.isMobileDevice)
@@ -43,6 +47,8 @@ function initialize(api) {
   });
 
   api.modifyClass("controller:preferences/notifications", {
+    pluginId: PLUGIN_ID,
+
     init() {
       this._super(...arguments);
       this.saveAttrNames.push("custom_fields");

GitHub sha: 2f11e4c1d04e51c941ac6904468adc70d7edbf3c

This commit appears in #81 which was approved by CvX. It was merged by eviltrout.